﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Windows;
using System.Windows.Data;
using System.Windows.Markup;

namespace XamGridWPFReporting
{
    public class FirstColumnMarginConverter : MarkupExtension, IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Record rec = value as Record;
            if (rec != null)
            {
                return new Thickness(rec.NestingDepth * 5, 0, 0, 0);
            }

            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }

        public override object ProvideValue(IServiceProvider serviceProvider)
        {
            return this;
        }

        public FirstColumnMarginConverter() { }
    }
}
